# Exits with 1 if Perl is not on the PATH

##  ---- Check Perl exists ----
perlpath=

# Some users may set the above line manually
if [ "x$perlpath" = "x" ]; then
    # Check if Perl is on the search path
    perlpath=`which perl 2> /dev/null`
fi

# Check that a Perl executable has been found
echo "Perl:"
if [ ! -x "$perlpath" ] ; then
    echo
    if [ "$glilang" = "es" ]; then
    echo "La Interfaz de la $PROGNAME requiere Perl para "
    echo "poder operar, pero ste no aparece en su sistema. Por favor asegrese "
    echo "de que Perl est instalado y se encuentra en su ruta de bsqueda. A "
    echo "continuacin ejecute nuevamente este guin."
    elif [ "$glilang" = "fr" ]; then
    echo "$PROGNAME ncessite Perl pour son fonctionnement,"
    echo "mais perl n'a pas pu tre dtect dans votre systme. Veuillez vous "
    echo "assurer que perl est install et est spcifi dans votre chemin de "
    echo "recherche, puis redmarrez ce script."
    elif [ "$glilang" = "ru" ]; then
    echo " $PROGNAME  Perl,   "
    echo ",  Perl     . , ,  "
    echo "Perl       ,  "
    echo " ."
    else
    echo "The $PROGNAME requires Perl in order to operate,"
    echo "but perl could not be detected on your system. Please ensure that perl"
    echo "is installed and is on your search path, then rerun this script."
    fi
    exit 1
fi
echo $perlpath
echo
